<?php
session_start();
include "verifica.php";

@$xfecha=$_REQUEST['xfecha'];
@$ximporte=$_REQUEST['ximporte'];
@$xcategoria=$_REQUEST['xcategoria'];
@$xempleado=$_REQUEST['xempleado'];
@$xdetalle=$_REQUEST['xdetalle'];

@$xaccion=$_REQUEST['xaccion'];
@$xid=$_REQUEST['xid'];
@$xusuario_sesion=$_SESSION['nombre_usuario'];

include "../conexion.php";

$gas = new Gastos;

switch($xaccion){
	
	case "adicionar": 
		if($gas->adicionar($conexion)==1){
			//echo "adicionar";
			?>			
			<script language="javascript">
			alert("Gasto creado satisfactoriamente.")
			parent.location.href="../gastos.php";
			</script>			
			<?php
			
		}		
		break;
		
	case "modificar": 
		if($gas->modificar($conexion)==1){
			//echo "modificar";
			?>			
			<script language="javascript">
			alert("Gasto modificado satisfactoriamente.")
			parent.location.href="../gastos.php";
			</script>			
			<?php

		}		
		break;
	
	case "eliminar":
		if($gas->eliminar($conexion)==1){
			//echo "eliminar";
			?>			
			<script language="javascript">
			alert("Gasto eliminado satisfactoriamente.")
			parent.location.href="../gastos.php";
			</script>			
			<?php
			
		}		
		break;


}

class Gastos{

	//Adiciona nuevo gasto
	function adicionar($conexion){
		global $xfecha, $ximporte, $xcategoria, $xempleado, $xdetalle, $xaccion, $xid;

		$r = mysql_query("insert into gastos (gas_fecha, 
												  gas_importe,
												  cat_id_fk,
												  emp_id_fk,
												  gas_detalle)
										values ('$xfecha', 
												'$ximporte',
												'$xcategoria',
												'$xempleado',
												'$xdetalle');",
		$conexion);
		
		if($r){		
			return 1;
		}	
				
	}	

	//Modifica un gasto
	function modificar($conexion){
		global $xfecha, $ximporte, $xcategoria, $xempleado, $xdetalle, $xaccion, $xid;
			

		$r = mysql_query("update gastos set gas_fecha = '$xfecha', 
												  gas_importe = '$ximporte',
												  cat_id_fk = '$xcategoria',
												  emp_id_fk = '$xempleado',
												  gas_detalle = '$xdetalle'
										where gas_id = $xid;",
		$conexion);
		
		if($r){		
			return 1;
		}	
	
	}	
	

	//Elimina un gasto
	function eliminar($conexion){
		global $xfecha, $ximporte, $xcategoria, $xempleado, $xdetalle, $xaccion, $xid;	

		$r = mysql_query("delete from gastos where gas_id = $xid;",
		$conexion);
		
		if($r){		
			return 1;
		}	
	}		

}


?>
